Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 8531)
@@ -153,8 +153,9 @@
    !! * Share Module variables
    !!--------------------------------------------------------------------------
-   !                                     !!** ice-generic parameters namelist (namice_run) **
+   !                                     !!** ice-generic parameters namelist (nampar) **
    INTEGER           , PUBLIC ::   jpl             !: number of ice  categories 
    INTEGER           , PUBLIC ::   nlay_i          !: number of ice  layers 
    INTEGER           , PUBLIC ::   nlay_s          !: number of snow layers 
+   INTEGER           , PUBLIC ::   nn_monocat      !: virtual ITD mono-category parameterizations (1-4) or not (0)
    LOGICAL           , PUBLIC ::   ln_icedyn       !: flag for ice dynamics (T) or not (F)
    LOGICAL           , PUBLIC ::   ln_icethd       !: flag for ice thermo   (T) or not (F)
@@ -166,8 +167,8 @@
    CHARACTER(len=256), PUBLIC ::   cn_icerst_outdir!: ice restart output directory
 
-   !                                     !!** ice-itd namelist (namice_itd) **
+   !                                     !!** ice-itd namelist (namitd) **
    REAL(wp), PUBLIC ::   rn_himin         !: minimum ice thickness
    
-   !                                     !!** ice-dynamics namelist (namice_dyn) **
+   !                                     !!** ice-dynamics namelist (namdyn) **
    REAL(wp), PUBLIC ::   rn_ishlat        !: lateral boundary condition for sea-ice
    REAL(wp), PUBLIC ::   rn_cio           !: drag coefficient for oceanic stress
@@ -177,5 +178,5 @@
    REAL(wp), PUBLIC ::   rn_lfrelax       !:    relaxation time scale (s-1) to reach static friction (landfast ice) 
    !
-   !                                     !!** ice-rheology namelist (namice_rhg) **
+   !                                     !!** ice-rheology namelist (namrhg) **
    REAL(wp), PUBLIC ::   rn_creepl        !: creep limit : has to be under 1.0e-9
    REAL(wp), PUBLIC ::   rn_ecc           !: eccentricity of the elliptical yield curve
@@ -183,26 +184,7 @@
    REAL(wp), PUBLIC ::   rn_relast        !: ratio => telast/rdt_ice (1/3 or 1/9 depending on nb of subcycling nevp) 
    !
-   !                                     !!** ice-thermodynamics namelist (namice_thd) **
-                                          ! -- icethd_dif -- !
-   REAL(wp), PUBLIC ::   rn_kappa_i       !: coef. for the extinction of radiation Grenfell et al. (2006) [1/m]
-   LOGICAL , PUBLIC ::   ln_cndi_U64      !: thermal conductivity: Untersteiner (1964)
-   LOGICAL , PUBLIC ::   ln_cndi_P07      !: thermal conductivity: Pringle et al (2007)
-   LOGICAL , PUBLIC ::   ln_dqns_i        !: change non-solar surface flux with changing surface temperature (T) or not (F)
-   INTEGER , PUBLIC ::   nn_monocat       !: virtual ITD mono-category parameterizations (1-4) or not (0)
-   REAL(wp), PUBLIC ::   rn_cnd_s         !: thermal conductivity of the snow [W/m/K]
+   !                                     !!** ice-thermodynamics namelist (namthd) **
                                           ! -- icethd_dh -- !
-   LOGICAL , PUBLIC ::   ln_icedH         !: activate ice thickness change from growing/melting (T) or not (F)
    REAL(wp), PUBLIC ::   rn_blow_s        !: coef. for partitioning of snowfall between leads and sea ice
-                                          ! -- icethd_da -- !
-   LOGICAL , PUBLIC ::   ln_icedA         !: activate lateral melting param. (T) or not (F)
-   REAL(wp), PUBLIC ::   rn_beta          !: coef. beta for lateral melting param.
-   REAL(wp), PUBLIC ::   rn_dmin          !: minimum floe diameter for lateral melting param.
-                                          ! -- icethd_lac -- !
-   LOGICAL , PUBLIC ::   ln_icedO         !: activate ice growth in open-water (T) or not (F)
-   REAL(wp), PUBLIC ::   rn_hinew         !: thickness for new ice formation (m)
-   LOGICAL , PUBLIC ::   ln_frazil        !: use of frazil ice collection as function of wind (T) or not (F)
-   REAL(wp), PUBLIC ::   rn_maxfraz       !: maximum portion of frazil ice collecting at the ice bottom
-   REAL(wp), PUBLIC ::   rn_vfraz         !: threshold drift speed for collection of bottom frazil ice
-   REAL(wp), PUBLIC ::   rn_Cfraz         !: squeezing coefficient for collection of bottom frazil ice
                                           ! -- icethd -- !
    INTEGER , PUBLIC ::   nn_iceflx        !: Redistribute heat flux over ice categories
@@ -213,5 +195,5 @@
    !                                      !   = 2  Redistribute a single flux over categories
 
-   !                                     !!** ice-salinity namelist (namice_sal) **
+   !                                     !!** ice-salinity namelist (namthd_sal) **
    INTEGER , PUBLIC ::   nn_icesal        !: salinity configuration used in the model
    !                                      ! 1 - constant salinity in both space and time
@@ -223,5 +205,5 @@
 
    ! MV MP 2016
-   !                                     !!** melt pond namelist (namicemp)
+   !                                     !!** melt pond namelist (nammp)
    LOGICAL , PUBLIC ::   ln_pnd           !: activate ponds or not
    LOGICAL , PUBLIC ::   ln_pnd_rad       !: ponds radiatively active or not
@@ -231,5 +213,5 @@
    REAL(wp), PUBLIC ::   rn_hpnd          !: prescribed pond depth    (0<rn_hpnd<1), only if nn_pnd_scheme = 0
    ! END MV MP 2016
-   !                                     !!** ice-diagnostics namelist (namice_dia) **
+   !                                     !!** ice-diagnostics namelist (namdia) **
    LOGICAL , PUBLIC ::   ln_icediachk     !: flag for ice diag (T) or not (F)
    LOGICAL , PUBLIC ::   ln_icediahsb     !: flag for ice diag (T) or not (F)
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceadv.F90	(revision 8531)
@@ -42,5 +42,5 @@
    INTEGER, PARAMETER ::   np_advUMx = 2   ! Ultimate-Macho scheme
    !
-   ! ** namelist (namice_adv) **
+   ! ** namelist (namdyn_adv) **
    LOGICAL ::   ln_adv_Pra   ! Prather        advection scheme
    LOGICAL ::   ln_adv_UMx   ! Ultimate-Macho advection scheme
@@ -132,22 +132,22 @@
       !!      dynamics
       !!
-      !! ** Method  :  Read the namice_adv namelist and check the ice-dynamic
+      !! ** Method  :  Read the namdyn_adv namelist and check the ice-dynamic
       !!       parameter values called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namice_adv
+      !! ** input   :   Namelist namdyn_adv
       !!-------------------------------------------------------------------
       INTEGER ::   ios, ioptio   ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_adv/ ln_adv_Pra, ln_adv_UMx, nn_UMx
+      NAMELIST/namdyn_adv/ ln_adv_Pra, ln_adv_UMx, nn_UMx
       !!-------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )         ! Namelist namice_adv in reference namelist : Ice dynamics
-      READ  ( numnam_ice_ref, namice_adv, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_adv in reference namelist', lwp )
+      REWIND( numnam_ice_ref )         ! Namelist namdyn_adv in reference namelist : Ice dynamics
+      READ  ( numnam_ice_ref, namdyn_adv, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_adv in reference namelist', lwp )
       !
-      REWIND( numnam_ice_cfg )         ! Namelist namice_adv in configuration namelist : Ice dynamics
-      READ  ( numnam_ice_cfg, namice_adv, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_adv in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_adv )
+      REWIND( numnam_ice_cfg )         ! Namelist namdyn_adv in configuration namelist : Ice dynamics
+      READ  ( numnam_ice_cfg, namdyn_adv, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn_adv in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namdyn_adv )
       !
       IF(lwp) THEN                     ! control print
@@ -155,8 +155,8 @@
          WRITE(numout,*) 'ice_adv_init: ice parameters for ice dynamics '
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_adv'
-         WRITE(numout,*) '      type of advection scheme (Prather)                     ln_adv_Pra = ', ln_adv_Pra 
-         WRITE(numout,*) '      type of advection scheme (Ulimate-Macho)               ln_adv_UMx = ', ln_adv_UMx 
-         WRITE(numout,*) '         order of the Ultimate-Macho scheme                      nn_UMx = ', nn_UMx
+         WRITE(numout,*) '   Namelist namdyn_adv:'
+         WRITE(numout,*) '      type of advection scheme (Prather)             ln_adv_Pra = ', ln_adv_Pra 
+         WRITE(numout,*) '      type of advection scheme (Ulimate-Macho)       ln_adv_UMx = ', ln_adv_UMx 
+         WRITE(numout,*) '         order of the Ultimate-Macho scheme          nn_UMx     = ', nn_UMx
       ENDIF
       !
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icealb.F90	(revision 8531)
@@ -34,5 +34,5 @@
    REAL(wp) , PARAMETER ::   r1_c2 = 1. / rc2
    !
-   ! ** albedo namelist (namice_alb)
+   ! ** albedo namelist (namalb)
    INTEGER  ::   nn_ice_alb       ! type of albedo scheme: 0: Shine & Henderson-Sellers (JGR 1985)
    !                                      !                         1: "home made" based on Brandt et al. (JClim 2005)
@@ -310,19 +310,19 @@
       !! ** Purpose :   initializations for the albedo parameters
       !!
-      !! ** Method  :   Read the namelist namice_alb
+      !! ** Method  :   Read the namelist namalb
       !!----------------------------------------------------------------------
       INTEGER  ::   ios                 ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_alb/ nn_ice_alb, rn_alb_sdry, rn_alb_smlt, rn_alb_idry, rn_alb_imlt, rn_alb_dpnd
-      !!----------------------------------------------------------------------
-      !
-      REWIND( numnam_ice_ref )              ! Namelist namice_alb in reference namelist : Albedo parameters
-      READ  ( numnam_ice_ref, namice_alb, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_alb in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )              ! Namelist namice_alb in configuration namelist : Albedo parameters
-      READ  ( numnam_ice_cfg, namice_alb, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_alb in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_alb )
+      NAMELIST/namalb/ nn_ice_alb, rn_alb_sdry, rn_alb_smlt, rn_alb_idry, rn_alb_imlt, rn_alb_dpnd
+      !!----------------------------------------------------------------------
+      !
+      REWIND( numnam_ice_ref )              ! Namelist namalb in reference namelist : Albedo parameters
+      READ  ( numnam_ice_ref, namalb, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namalb in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namalb in configuration namelist : Albedo parameters
+      READ  ( numnam_ice_cfg, namalb, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namalb in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namalb )
       !
       IF(lwp) THEN                      ! Control print
@@ -330,5 +330,5 @@
          WRITE(numout,*) 'ice_alb_init: set albedo parameters'
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_alb : albedo '
+         WRITE(numout,*) '   Namelist namalb:'
          WRITE(numout,*) '      choose the albedo parameterization   nn_ice_alb  = ', nn_ice_alb
          WRITE(numout,*) '      albedo of dry snow                   rn_alb_sdry = ', rn_alb_sdry
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedia.F90	(revision 8531)
@@ -48,5 +48,5 @@
    INTEGER FUNCTION ice_dia_alloc()
       !!---------------------------------------------------------------------!
-      !!                ***  ROUTINE ice_rdgrft_alloc ***
+      !!                ***  ROUTINE ice_dia_alloc ***
       !!---------------------------------------------------------------------!
       ALLOCATE( vol_loc_ini(jpi,jpj), sal_loc_ini(jpi,jpj), tem_loc_ini(jpi,jpj), STAT=ice_dia_alloc )
@@ -175,15 +175,15 @@
       INTEGER            ::   ios, ierror   ! local integer
       !!
-      NAMELIST/namice_dia/ ln_icediachk, ln_icediahsb, ln_icectl, iiceprt, jiceprt  
+      NAMELIST/namdia/ ln_icediachk, ln_icediahsb, ln_icectl, iiceprt, jiceprt  
       !!----------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )      ! Namelist namice_dia in reference namelist : Parameters for ice
-      READ  ( numnam_ice_ref, namice_dia, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dia in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )      ! Namelist namice_dia in configuration namelist : Parameters for ice
-      READ  ( numnam_ice_cfg, namice_dia, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dia in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_dia )
+      REWIND( numnam_ice_ref )      ! Namelist namdia in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, namdia, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdia in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )      ! Namelist namdia in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, namdia, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdia in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namdia )
       !
       IF(lwp) THEN                  ! control print
@@ -191,8 +191,8 @@
          WRITE(numout,*) 'ice_dia_init: ice diagnostics'
          WRITE(numout,*) ' ~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_dia : '
+         WRITE(numout,*) '   Namelist namdia:'
          WRITE(numout,*) '      Diagnose online heat/mass/salt budget      ln_icediachk = ', ln_icediachk
          WRITE(numout,*) '      Output          heat/mass/salt budget      ln_icediahsb = ', ln_icediahsb
-         WRITE(numout,*) '      control prints for a given grid point         ln_icectl = ', ln_icectl
+         WRITE(numout,*) '      control prints for a given grid point      ln_icectl    = ', ln_icectl
          WRITE(numout,*) '         chosen grid point position         (iiceprt,jiceprt) = (', iiceprt,',', jiceprt,')'
       ENDIF
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90	(revision 8531)
@@ -25,4 +25,5 @@
    USE lib_mpp        ! MPP library
    USE in_out_manager ! I/O manager
+   USE iom            ! I/O manager
    USE lib_fortran    ! glob_sum
    USE timing         ! Timing
@@ -209,24 +210,24 @@
       !!      dynamics
       !!
-      !! ** Method  :  Read the namice_dyn namelist and check the ice-dynamic
+      !! ** Method  :  Read the namdyn namelist and check the ice-dynamic
       !!       parameter values called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namice_dyn
+      !! ** input   :   Namelist namdyn
       !!-------------------------------------------------------------------
       INTEGER ::   ios, ioptio   ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_dyn/ ln_dynFULL, ln_dynRHGADV, ln_dynADV, rn_uice, rn_vice,  &
-         &                 rn_ishlat  , rn_cio   ,                         &
-         &                 ln_landfast, rn_gamma , rn_icebfr, rn_lfrelax
-      !!-------------------------------------------------------------------
-      !
-      REWIND( numnam_ice_ref )         ! Namelist namice_dyn in reference namelist : Ice dynamics
-      READ  ( numnam_ice_ref, namice_dyn, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dyn in reference namelist', lwp )
-      !
-      REWIND( numnam_ice_cfg )         ! Namelist namice_dyn in configuration namelist : Ice dynamics
-      READ  ( numnam_ice_cfg, namice_dyn, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dyn in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_dyn )
+      NAMELIST/namdyn/ ln_dynFULL, ln_dynRHGADV, ln_dynADV, rn_uice, rn_vice,  &
+         &             rn_ishlat  ,                                            &
+         &             ln_landfast, rn_gamma , rn_icebfr, rn_lfrelax
+      !!-------------------------------------------------------------------
+      !
+      REWIND( numnam_ice_ref )         ! Namelist namdyn in reference namelist : Ice dynamics
+      READ  ( numnam_ice_ref, namdyn, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn in reference namelist', lwp )
+      !
+      REWIND( numnam_ice_cfg )         ! Namelist namdyn in configuration namelist : Ice dynamics
+      READ  ( numnam_ice_cfg, namdyn, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namdyn )
       !
       IF(lwp) THEN                     ! control print
@@ -234,5 +235,5 @@
          WRITE(numout,*) 'ice_dyn_init: ice parameters for ice dynamics '
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_dyn'
+         WRITE(numout,*) '   Namelist namdyn:'
          WRITE(numout,*) '      Full ice dynamics      (rhg + adv + ridge/raft + corr)  ln_dynFULL   = ', ln_dynFULL
          WRITE(numout,*) '      No ridge/raft & No cor (rhg + adv)                      ln_dynRHGADV = ', ln_dynRHGADV
@@ -240,10 +241,9 @@
          WRITE(numout,*) '           with prescribed velocity given by '
          WRITE(numout,*) '               a uniform field               (u,v)_ice = (rn_uice,rn_vice) = (', rn_uice,',', rn_vice,')'
-         WRITE(numout,*) '      lateral boundary condition for sea ice dynamics        rn_ishlat     = ', rn_ishlat
-         WRITE(numout,*) '      drag coefficient for oceanic stress                    rn_cio        = ', rn_cio
-         WRITE(numout,*) '      Landfast: param (T or F)                               ln_landfast   = ', ln_landfast
-         WRITE(numout,*) '         fraction of ocean depth that ice must reach         rn_gamma      = ', rn_gamma
-         WRITE(numout,*) '         maximum bottom stress per unit area of contact      rn_icebfr     = ', rn_icebfr
-         WRITE(numout,*) '         relax time scale (s-1) to reach static friction     rn_lfrelax    = ', rn_lfrelax
+         WRITE(numout,*) '      lateral boundary condition for sea ice dynamics         rn_ishlat    = ', rn_ishlat
+         WRITE(numout,*) '      Landfast: param (T or F)                                ln_landfast  = ', ln_landfast
+         WRITE(numout,*) '         fraction of ocean depth that ice must reach          rn_gamma     = ', rn_gamma
+         WRITE(numout,*) '         maximum bottom stress per unit area of contact       rn_icebfr    = ', rn_icebfr
+         WRITE(numout,*) '         relax time scale (s-1) to reach static friction      rn_lfrelax   = ', rn_lfrelax
       ENDIF
       !                             !== set the choice of ice dynamics ==!
@@ -267,5 +267,9 @@
       ENDIF
       !                                      !--- NO Landfast ice : set to zero once for all
-      IF( .NOT. ln_landfast )   tau_icebfr(:,:) = 0._wp 
+      IF( .NOT. ln_landfast )   tau_icebfr(:,:) = 0._wp
+      !
+      CALL ice_rdgrft_init          ! set ice ridging/rafting parameters
+      CALL ice_rhg_init             ! set ice rheology parameters
+      CALL ice_adv_init             ! set ice advection parameters
       !
    END SUBROUTINE ice_dyn_init
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceforcing.F90	(revision 8531)
@@ -30,6 +30,7 @@
    PRIVATE
 
-   PUBLIC ice_forcing_tau  ! routine called by icestp.F90
-   PUBLIC ice_forcing_flx  ! routine called by icestp.F90
+   PUBLIC ice_forcing_tau   ! called by icestp.F90
+   PUBLIC ice_forcing_flx   ! called by icestp.F90
+   PUBLIC ice_forcing_init  ! called by icestp.F90
 
    !! * Substitutions
@@ -257,4 +258,59 @@
    END SUBROUTINE ice_flx_dist
 
+   SUBROUTINE ice_forcing_init
+      !!-------------------------------------------------------------------
+      !!                  ***  ROUTINE ice_forcing_init  ***
+      !!
+      !! ** Purpose : Physical constants and parameters linked to the ice
+      !!      dynamics
+      !!
+      !! ** Method  :  Read the namforcing namelist and check the ice-dynamic
+      !!       parameter values called at the first timestep (nit000)
+      !!
+      !! ** input   :   Namelist namforcing
+      !!-------------------------------------------------------------------
+      INTEGER ::   ios, ioptio   ! Local integer output status for namelist read
+      !!
+      NAMELIST/namforcing/ rn_cio, rn_blow_s, nn_iceflx
+      !!-------------------------------------------------------------------
+      !
+      REWIND( numnam_ice_ref )         ! Namelist namforcing in reference namelist : Ice dynamics
+      READ  ( numnam_ice_ref, namforcing, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namforcing in reference namelist', lwp )
+      !
+      REWIND( numnam_ice_cfg )         ! Namelist namforcing in configuration namelist : Ice dynamics
+      READ  ( numnam_ice_cfg, namforcing, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namforcing in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namforcing )
+      !
+      IF(lwp) THEN                     ! control print
+         WRITE(numout,*)
+         WRITE(numout,*) 'ice_forcing_init: ice parameters for ice dynamics '
+         WRITE(numout,*) '~~~~~~~~~~~~~~~'
+         WRITE(numout,*) '   Namelist namforcing:'
+         WRITE(numout,*) '      drag coefficient for oceanic stress              rn_cio    = ', rn_cio
+         WRITE(numout,*) '      coefficient for ice-lead partition of snowfall   rn_blow_s = ', rn_blow_s
+         WRITE(numout,*) '      Multicategory heat flux formulation              nn_iceflx = ', nn_iceflx
+      ENDIF
+      !
+      IF(lwp) WRITE(numout,*)
+      SELECT CASE( nn_iceflx )         ! ESIM Multi-category heat flux formulation
+      CASE( -1  )
+         IF(lwp) WRITE(numout,*) '   ESIM: use per-category fluxes (nn_iceflx = -1) '
+         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for ESIM in coupled mode must be 0 or 2' )
+      CASE(  0  )
+         IF(lwp) WRITE(numout,*) '   ESIM: use average per-category fluxes (nn_iceflx = 0) '
+      CASE(  1  )
+         IF(lwp) WRITE(numout,*) '   ESIM: use average then redistribute per-category fluxes (nn_iceflx = 1) '
+         IF( ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for ESIM in coupled mode must be 0 or 2' )
+      CASE(  2  )
+         IF(lwp) WRITE(numout,*) '   ESIM: Redistribute a single flux over categories (nn_iceflx = 2) '
+         IF( .NOT. ln_cpl )   CALL ctl_stop( 'ice_thd_init : the chosen nn_iceflx for ESIM in forced mode cannot be 2' )
+      CASE DEFAULT
+         CALL ctl_stop( 'ice_thd_init: ESIM option, nn_iceflx, should be between -1 and 2' )
+      END SELECT
+      !
+   END SUBROUTINE ice_forcing_init
+
 #else
    !!----------------------------------------------------------------------
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceistate.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceistate.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceistate.F90	(revision 8531)
@@ -49,5 +49,5 @@
    TYPE(FLD), ALLOCATABLE, DIMENSION(:) ::   si  ! structure of input fields (file informations, fields read)
    !
-   ! ** namelist (namice_ini) **
+   ! ** namelist (namini) **
    LOGICAL  ::   ln_iceini        ! initialization or not
    LOGICAL  ::   ln_iceini_file   ! Ice initialization state from 2D netcdf file
@@ -512,9 +512,9 @@
       !! ** Purpose : Definition of initial state of the ice 
       !!
-      !! ** Method : Read the namice_ini namelist and check the parameter 
+      !! ** Method : Read the namini namelist and check the parameter 
       !!       values called at the first timestep (nit000)
       !!
       !! ** input : 
-      !!        Namelist namice_ini
+      !!        Namelist namini
       !!
       !! history :
@@ -531,18 +531,18 @@
       TYPE(FLD_N), DIMENSION(jpfldi) ::   slf_i                 ! array of namelist informations on the fields to read
       !
-      NAMELIST/namice_ini/ ln_iceini, ln_iceini_file, rn_thres_sst, rn_hts_ini_n, rn_hts_ini_s,  &
-         &                rn_hti_ini_n, rn_hti_ini_s, rn_ati_ini_n, rn_ati_ini_s, rn_smi_ini_n, &
-         &                rn_smi_ini_s, rn_tmi_ini_n, rn_tmi_ini_s,                             &
-         &                sn_hti, sn_hts, sn_ati, sn_tsu, sn_tmi, sn_smi, cn_dir
+      NAMELIST/namini/ ln_iceini, ln_iceini_file, rn_thres_sst, rn_hts_ini_n, rn_hts_ini_s,  &
+         &             rn_hti_ini_n, rn_hti_ini_s, rn_ati_ini_n, rn_ati_ini_s, rn_smi_ini_n, &
+         &             rn_smi_ini_s, rn_tmi_ini_n, rn_tmi_ini_s,                             &
+         &             sn_hti, sn_hts, sn_ati, sn_tsu, sn_tmi, sn_smi, cn_dir
       !!-----------------------------------------------------------------------------
       !
-      REWIND( numnam_ice_ref )              ! Namelist namice_ini in reference namelist : Ice initial state
-      READ  ( numnam_ice_ref, namice_ini, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_ini in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )              ! Namelist namice_ini in configuration namelist : Ice initial state
-      READ  ( numnam_ice_cfg, namice_ini, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_ini in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_ini )
+      REWIND( numnam_ice_ref )              ! Namelist namini in reference namelist : Ice initial state
+      READ  ( numnam_ice_ref, namini, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namini in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )              ! Namelist namini in configuration namelist : Ice initial state
+      READ  ( numnam_ice_cfg, namini, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namini in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namini )
 
       slf_i(jp_hti) = sn_hti  ;  slf_i(jp_hts) = sn_hts
@@ -555,5 +555,5 @@
          WRITE(numout,*) 'ice_istate_init: ice parameters inititialisation '
          WRITE(numout,*) '~~~~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_ini'
+         WRITE(numout,*) '   Namelist namini:'
          WRITE(numout,*) '      initialization with ice (T) or not (F)                 ln_iceini     = ', ln_iceini
          WRITE(numout,*) '      ice initialization from a netcdf file                ln_iceini_file  = ', ln_iceini_file
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/iceitd.F90	(revision 8531)
@@ -38,5 +38,5 @@
    PUBLIC   ice_itd_reb   ! called in iceerr
 
-   ! ** ice-thickness distribution namelist (namice_itd) **
+   ! ** ice-thickness distribution namelist (namitd) **
    REAL(wp) ::   rn_himean        ! mean thickness of the domain (used to compute the distribution)
 
@@ -643,5 +643,5 @@
       !! ** Purpose :   Initializes the ice thickness distribution
       !! ** Method  :   ...
-      !! ** input   :   Namelist namice_itd
+      !! ** input   :   Namelist namitd
       !!-------------------------------------------------------------------
       INTEGER  ::   jl    ! dummy loop index
@@ -649,15 +649,15 @@
       REAL(wp) ::   zhmax, znum, zden, zalpha   !   -      -
       !!
-      NAMELIST/namice_itd/ rn_himean, rn_himin
-      !!------------------------------------------------------------------
-      !
-      REWIND( numnam_ice_ref )      ! Namelist namice_itd in reference namelist : Parameters for ice
-      READ  ( numnam_ice_ref, namice_itd, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_itd in reference namelist', lwp )
-
-      REWIND( numnam_ice_cfg )      ! Namelist namice_itd in configuration namelist : Parameters for ice
-      READ  ( numnam_ice_cfg, namice_itd, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_itd in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_itd )
+      NAMELIST/namitd/ rn_himean, rn_himin
+      !!------------------------------------------------------------------
+      !
+      REWIND( numnam_ice_ref )      ! Namelist namitd in reference namelist : Parameters for ice
+      READ  ( numnam_ice_ref, namitd, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namitd in reference namelist', lwp )
+
+      REWIND( numnam_ice_cfg )      ! Namelist namitd in configuration namelist : Parameters for ice
+      READ  ( numnam_ice_cfg, namitd, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namitd in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namitd )
       !
       IF(lwp) THEN                  ! control print
@@ -665,5 +665,5 @@
          WRITE(numout,*) 'ice_itd_init: Initialization of ice cat distribution '
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_itd : '
+         WRITE(numout,*) '   Namelist namitd: '
          WRITE(numout,*) '      mean ice thickness in the domain               rn_himean = ', rn_himean
          WRITE(numout,*) '      minimum ice thickness                          rn_himin  = ', rn_himin 
